package routers

import (
	"github.com/gin-gonic/gin"
	"hongze/hongze_yb/controller/collection"
	"hongze/hongze_yb/middleware"
)

func InitCollection(r *gin.Engine) {
	rGroup := r.Group("/api/collection").Use(middleware.Token())
	rGroup.GET("/list", collection.List)
	rGroup.POST("/collect", collection.Collect)
	rGroup.POST("/cancel", collection.Cancel)
}
